Upgrade roadmap for Lotus Domino and related products on i 6.1 or i 7.1

Technote (FAQ)


Question

How can you prepare installed Lotus® software products so that your Lotus Domino® servers will function properly after upgrading the operating system from IBM i 5.4 to IBM i 6.1 or i 7.1?

Answer

For links to general information about program conversion and preparing to upgrade the operating system from IBM i 5.4 (i5/OS V5R4) to i 6.1 (i5/OS V6R1) or i 7.1, see Lotus Domino for i5/OS V6R1 Planning.

This document should be used if you have not yet upgraded from IBM i 5.4 (i5/OS V5R4) to IBM i 6.1 (i5/OS V6R1) or i 7.1.

If you are planning to install Lotus Domino or other related products on a system that is already running i 6.1 or i 7.1, see installing Lotus Domino and related products on i 6.1 or i 7.1 (technote #1295455 ). It includes important information about managing program conversion during installation.

Follow the steps described here to help ensure that Lotus Domino and related products are ready for the operating system upgrade from IBM i 5.4 to i 6.1 or i 7.1, minimizing disruption for your users.

This document contains the following sections:


    Prepare Lotus products for upgrade from IBM i 5.4 to i 6.1 or i 7.1
    Pre-upgrade Checklist
    Post-upgrade Product Conversion
Prepare Lotus products for upgrade from IBM i 5.4 to i 6.1 or i 7.1

There are separate sections below for each of the following:
    Lotus Domino
    Lotus Domino Document Manager
    Lotus Enterprise Integrator®
    Lotus Quickr™ or QuickPlace®
    Lotus Sametime®
    Lotus Sametime Gateway
    Lotus Workflow®
    IBM Integrated Domino Fax®
Note: The information in this document does not necessarily reflect all Lotus product releases that have shipped since i 6.1 availability in March 2008 or i 7.1 availability in April 2010. Refer always to the Lotus Software for IBM i Compatibility Guide for the latest compatibility characteristics.

Remember to consider Domino-related third-party products you are using, such as spam filtering services. These may also require updates when you upgrade Lotus Domino or related products to i 6.1 or a later release.

Lotus Domino: Preparing for upgrade from IBM i 5.4 to i 6.1 or i 7.1

Note: This document assumes that the best practice is to update all products and servers to releases that are compatible with the new operating system level before upgrading the operating system. This allows you to better stage server downtime and to ensure all servers are working correctly with the newer releases before upgrading to i 6.1 or i 7.1. However, Domino 8.5.x releases require a potentially long program conversion process when installing on i 5.4 and a second conversion when upgrading to a later OS release. For less complicated deployments, you may choose to delay installing Domino 8.5.x until after upgrading the operating system to avoid program conversion. For more information, see Domino 8.5 for i: Program Conversion (technote #7013152 ).

1. Use the tables below to determine whether you already have a Domino release installed that is supported on i 6.1 or a later release.

2. If necessary, install a compatible version of Domino and any required fixes. Make sure you install a level of Domino that is compatible with any other Lotus products or Domino applications you are using. More information is available in later sections.

Lotus Domino Releases supported on i 7.1
DSPSFWRSC information
(F11 to display libraries and releases)
Additional Information
Domino 8.5.1
Domino 8.5.2
Domino 8.5.3
Resource ID: 5733L85

Options: *BASE
Option 1
Option 11 (8.5.1)
Option 12 (8.5.2)
Option 13 (8.5.3)

-- For less complex deployments, you may choose to install Domino 8.5.x after upgrading to i 7.1 to avoid running program conversion twice. For more information, see Domino 8.5 for i: Program Conversion (technote #7013152 ).
Lotus Domino Releases supported on i 6.1
DSPSFWRSC information
(F11 to display libraries and releases)
Additional Information
Domino 8.5.0
Domino 8.5.1
Domino 8.5.2
Domino 8.5.3
Resource ID: 5733L85

Options: *BASE
Option 1
Option 10 (8.5.0)
Option 11 (8.5.1)
Option 12 (8.5.2)
Option 13 (8.5.3)

-- For less complex deployments, you may choose to install Domino 8.5.x after upgrading to i 6.1 to avoid running program conversion twice. For more information, see Domino 8.5 for i: Program Conversion (technote #7013152 ).
Domino 8.0.1
Domino 8.0.2
Resource ID: 5733LD8

Options: *BASE
Option 1
Option 11 (8.0.1)
Option 12 (8.0.2)

Domino 7.0.3
Domino 7.0.4
Resource ID: 5733LD7

Options: *BASE
Option 1
Option 13 (7.0.3)
Option 14 (7.0.4)

Support for Domino 7.0.x ended on April 30, 2011. All Domino 7.0.x servers (except for those used to run Domino Document Manager) should be upgraded to 8.0.x or 8.5.x. before upgrading the operating system..

Domino 7.0.x can still be used to run Domino Document Manager until its support period ends on Sept 30, 2012. If using Domino 7.0.3, install Fix Pack 1 before upgrading to IBM i 6.1.


4. Determine the Domino release currently used by each server on the system. (Run WRKDOMSVR command and press F11.)

5. Before upgrading to i 6.1 or i 7.1, update each server to a Domino release (UPDDOMSVR command) that is compatible with the operating system.

Caution: Before updating a Domino server that is running any of the following products, consult the section below for more information:
Lotus Domino Document Manager
Lotus Enterprise Integrator
Lotus Quickr or QuickPlace
Lotus Sametime
Lotus Sametime Gateway
Lotus Workflow
IBM Integrated Domino Fax

6. (Optional) Remove any obsolete Domino servers that you do not plan to upgrade by running the following command:

CFGDOMSVR SERVER(<server_name>) OPTION(*REMOVE)

7. Once all of your Domino servers have been updated to an operating system-compatible release, delete any other Domino versions that are still installed but are not being used.

Domino Releases
NOT supported for i 7.1
Resource
ID
Instructions to Delete
All of the Domino releases specified in the 6.1 table below, PLUS:
Domino 8.5.0
Option 10: 8.5.0
5733L85
Run the following command to delete the options that are not supported on i 7.1:

DLTLICPGM LICPGM(5733L85) OPTION(10)

Domino 8.0.x
option 11: 8.0.1
option 12: 8.0.2
5733LD8
Run the following command to delete options that are not supported on i 7.1:

DLTLICPGM LICPGM(5733LD8) OPTION(11)
DLTLICPGM LICPGM(5733LD8) OPTION(12)

Domino 7.0.x
opt 13: 7.0.3
opt 14: 7.0.4
5733LD7
If you have upgraded all Domino 7.0.x servers to a later Domino release, run the following command to delete all product options:

DLTLICPGM LICPGM(5733LD7)

If you are still using Domino 7.0.3 or 7.0.4 to run Domino Document Manager, run only the following command to delete each product option that you are no longer using::

DLTLICPGM LICPGM(5733LD7) OPTION(xx)

where xx is the option number.

Domino Releases
NOT supported for i 6.1
Resource
ID
Instructions to Delete
Domino R5
all options
5769LNT
Run the following command to delete all product options:

DLTLICPGM LICPGM(5769LNT)

Domino 6.0.x
all options
5733LD6
Run the following command to delete all product options:

DLTLICPGM LICPGM(5733LD6)

Domino 6.5.x
all options
5733L65
Run the following command to delete all product options:

DLTLICPGM LICPGM(5733L65)

Domino 7.0.x

opt 10: 7.0
opt 11: 7.0.1
opt 12: 7.0.2

5733LD7
If you have upgraded all Domino 7.0.x servers to a later Domino release, run the following command to delete all product options:

DLTLICPGM LICPGM(5733LD7)

If you are still using Domino 7.0.3 or 7.0.4 to run Domino Document Manager, run only the following command to delete each product option that you are no longer using::

DLTLICPGM LICPGM(5733LD7) OPTION(xx)

where xx is the option number.

Domino 8.0.x
opt 10: Domino 8.0
5733LD8
Run the following command to delete options that are not supported on i 6.1:

DLTLICPGM LICPGM(5733LD8) OPTION(10)

Lotus Domino Document Manager: Preparing for upgrade from IBM i 5.4 to i 6.1

NOTE: Lotus Domino Document Manager was withdrawn from marketing in May, 2009, and end of support is September 30, 2012. There are no plans to support this product on i 7.1. For information about migration alternatives and tools, see www.ibm.com/software/lotus/products/dominodocumentmgr/

1. Use the table below to determine whether you are already using a Domino Document Manager release supported on i 6.1.

2. If your Domino Document Manager release is not supported on i 6.1, upgrade to Domino Document Manager 7.0.As part of the upgrade process, be sure to update your Domino Document Manager servers to a version of Domino that is compatible with the operating system.

3. If your Domino Document Manager release is supported on i 6.1, determine whether each server running DDM is using a release of Domino that is compatible with the operating system. If necessary, run UPDDOMSVR to update the Domino release for the Domino server hosting Document Manager.

4. Install the Domino Document Manager fix required for i 6.1 (see link in table for more information).

Lotus DDM Releases supported for
i 6.1
DSPSFWRSC information
(F11 to display libraries and releases)
Compatible Domino Release for i 6.1
Additional Information
Domino Document Manager 7.0
5724J25
Domino 7.0.4 or Domino 7.0.3 (with required fix) -- Though support for Domino 7.0.x ended in April 2011, Domino 7.0.x can still be used to run Domino Document Manager until its support period ends on Sept 30, 2012.

-- DDM 7.0 requires an enabling fix to run on V6R1,

Lotus Enterprise Integrator: Preparing for upgrade from IBM i 5.4 to i 6.1 or i 7.1

1. Use the tables below to determine whether you are already using an LEI release supported on i 6.1 or i 7.1.

2. If your LEI release is not supported, upgrade to a supported release. Consult the LEI product documentation for upgrade instructions. As part of the upgrade process, be sure to update your servers to version of Domino that is compatible with the operating system and LEI and verify that the necessary prerequisite software is installed. See Prerequisites for installing Lotus Enterprise Integrator on i5/OS 7.1, 6.1 or 5.4 (technote #1299738 ).

3. If you are planning to install LEI with Domino and a Language pack, one of the following procedures can be used:

-- Option 1: Install Domino plus required fixes. Convert the Domino programs if program conversion was not done automatically during install. Install the Domino Language pack. Upgrade your Domino server(s) and start the server. Install LEI (the Domino server must be active in order to install LEI).

-- Option 2: Install Domino plus required fixes. Convert the Domino programs if program conversion was not done automatically during install. Upgrade your Domino server(s) and start the server. Install LEI (the Domino server must be active in order to install LEI). End the Domino server(s). Install the Domino Language pack.

Note: Domino and LEI version should be same.

LEI Releases
supported for i 7.1
DSPSFWRSC information
(F11 to display libraries and releases)
Compatible Domino Release for i 7.1
Additional Information
Lotus Enterprise Integrator 8.5.3 Resource ID:
5733LEI
Options:
*BASE
option 22
Release:
V8R5M3
Domino 8.5.3 -- To upgrade to LEI 8.5.3 from an earlier release, see the IBM Lotus Enterprise Integrator for Domino Installation Guide at the LEI documentation site.
Lotus Enterprise Integrator 8.5.2 Resource ID:
5733LEI
Options:
*BASE
option 21
Release:
V8R5M2
Domino 8.5.2 -- To upgrade to LEI 8.5.2 from an earlier release, see the IBM Lotus Enterprise Integrator for Domino Installation Guide at the LEI documentation site.
LEI Releases
supported for
i 6.1
DSPSFWRSC information
(F11 to display libraries and releases)
Compatible Domino Release for
i 6.1
Additional Information
Lotus Enterprise Integrator 8.5.3 Resource ID:
5733LEI
Options:
*BASE
option 22
Release:
V8R5M3
Domino 8.5.3 -- To upgrade to LEI 8.5.3 from an earlier release, see the IBM Lotus Enterprise Integrator for Domino Installation Guide at the LEI documentation site.
Lotus Enterprise Integrator 8.5.2 Resource ID:
5733LEI
Options:
*BASE
option 21
Release:
V8R5M2
Domino 8.5.2 -- To upgrade to LEI 8.5.2 from an earlier release, see the IBM Lotus Enterprise Integrator for Domino Installation Guide at the LEI documentation site.
Lotus Enterprise Integrator 8.5.1 Resource ID:
5733LEI
Options:
*BASE
option 20
Release:
V8R5M1
Domino 8.5.1 -- To upgrade to LEI 8.5.1 from an earlier release, see the IBM Lotus Enterprise Integrator for Domino Installation Guide at the LEI documentation site.
Lotus Enterprise Integrator 8.5.0 Resource ID:
5733LEI
Options:
*BASE
option 19
Release:
V8R5M0
Domino 8.5.0 -- To upgrade to LEI 8.5 from an earlier release, see the IBM Lotus Enterprise Integrator for Domino Installation Guide at the LEI documentation site.
Lotus Enterprise Integrator 8.0.2 Resource ID:
5733LEI
Options:
*BASE
option 18
Release:
V8R0M2
Domino 8.0.2 -- To upgrade to LEI 8.0.2 from an earlier release, see the IBM Lotus Enterprise Integrator for Domino Installation Guide at the LEI documentation site.
Lotus Enterprise Integrator 8.0.1 Resource ID:
5733LEI
Options:
*BASE
option 15
Release:
V8R0M1
Domino 8.0.1 -- To upgrade to LEI 8.0.1 from an earlier release, see the IBM Lotus Enterprise Integrator for Domino Installation Guide at the LEI documentation site.
Note: Support for LEI 7.x releases ended on April 30, 2011. Upgrade LEI to a later release before upgrading the operating system.
Lotus Quickr for Domino: Preparing for upgrade from IBM i 5.4 to i 6.1 or i 7.1

1. Use the tables below to determine whether you are already using a Lotus Quickr release supported on i 6.1 or i 7.1.

2. If you are using QuickPlace 6.5.1 or 7.0, you must upgrade to a Lotus Quickr release. QuickPlace releases are no longer supported. See Upgrading from QuickPlace 6.5.1 or QuickPlace 7.0 to IBM Lotus Quickr 8.2.

3. If your Quickr release is not supported, upgrade to a version that is compatible with the operating system. Consult the Lotus Quickr product documentation for upgrade instructions. As part of the upgrade process, be sure to update your Quickr servers to a version of Domino that is compatible with the operating system. Also, install the Quickr enabling fix for the Domino release if one is required (see table below).

4. If your Quickr release is supported on i 6.1 or i 7.1, determine whether the servers are running a release of Domino that is compatible with the operating system. Note that support for Lotus Quickr 8.0.x releases ended on April 30. 2011. If necessary, install the required enabling fix for the Domino release and run UPDDOMSVR to update each server (see table below).

Lotus Quickr Releases supported for
i 7.1
DSPSFWRSC information
(F11 to display libraries and releases)
Compatible Domino Release for
i 7.1
Additional Information
Lotus Quickr 8.5.1 Resource ID: 5724S31
Options: *BASE
Release: V8R5M1
Domino 8.5.1 FP5
Lotus Quickr 8.5 Resource ID: 5724S31
Options: *BASE
Release: V8R5M0
Domino 8.5.1 FP3 or later FP
Lotus Quickr Releases supported for
i 6.1
DSPSFWRSC information
(F11 to display libraries and releases)
Compatible Domino Release for
i 6.1
Additional Information
Lotus Quickr 8.5.1 Resource ID: 5724S31
Options: *BASE
Release: V8R5M1
Domino 8.5.1 FP5
Lotus Quickr 8.5 Resource ID: 5724S31
Options: *BASE
Release: V8R5M0
Domino 8.5.1 FP3 or later FP
Lotus Quickr 8.2 Resource ID: 5724S31

Options: *BASE

Release: V8R2M0

Domino 8.5 or 8.5.1 -- Lotus Quickr 8.2 requires an enabling fix to run on Domino 8.5.1. See About "Lotus Quickr 8.2 IBM i Enabling Fix for Domino 8.5.x" (technote #1405489 ).
Lotus Quickr 8.1 Resource ID: 5724S31

Options: *BASE

Release: V8R1M0

Domino 8.0.1 or 8.0.2 -- Lotus Quickr 8.1 requires an enabling fix to run on Domino 8.0.2. See About "Lotus Quickr 8.1 i5/OS Enabling Fix for Domino 8.0.x" (technote #1316470 ).
Note: Support for Lotus Quickr 8.0 and 8.0.0.2 ended on April 30, 2011. Upgrade to a later Quickr release before upgrading the operating system.
Lotus Sametime Domino-based servers: Preparing for upgrade from IBM i 5.4 to i 6.1 or i 7.1

Note: This section applies only to Sametime servers that run on Domino. That is, Sametime 8.5.x Community Servers, Sametime 8.5.x Entry Servers, and all pre-8.5 Sametime servers. For information about Sametime Gateway and the newer WebSphere-based servers introduced in Sametime 8.5 (Meeting Server, Proxy Server and System Console Server), see the next section.

1. Use the tables below to determine whether you are already using a Sametime release supported on i 6.1 or i 7.1.

2. If your Sametime release is not supported, upgrade Sametime to a version that is supported on the operating system. Consult the Lotus Sametime product documentation for upgrade instructions. As part of the upgrade process, be sure to update your Sametime servers to a version of Domino that is compatible with the operating system.

3. If your Sametime release is supported on the operating system, determine whether each Sametime server is running a release of Domino that is compatible with the operating system. If necessary, run UPDDOMSVR to update the Domino release.

Lotus Sametime Releases supported for
i 7.1
DSPSFWRSC information
(F11 to display libraries and releases)
Compatible Domino Release for
i 7.1
Additional Information
Sametime 8.5.1 and 8.5.2 Resource ID: 5724J23

Options: *BASE plus option 1 for Sametime Standard

Release: V8R5M1 or V8R5M2

Domino 8.5.1 or 8.5.2 -- To upgrade to Sametime 8.5.x from an earlier release, see the product documentation, available at the Lotus Sametime documentation site.
Lotus Sametime Releases supported for
i 6.1
DSPSFWRSC information
(F11 to display libraries and releases)
Compatible Domino Release for
i 6.1
Additional Information
Sametime 8.5.2 Resource ID: 5724J23

Options: *BASE plus option 1 for Sametime Standard

Release: V8R5M2

Domino 8.5.0, 8.5.1, 8.5.2 or 8.0.x -- To upgrade to Sametime 8.5.2 from an earlier release, see the product documentation, available at the Lotus Sametime documentation site.
Sametime 8.5.1 Resource ID: 5724J23

Options: *BASE plus option 1 for Sametime Standard

Release: V8R5M1

Domino 8.5.0, 8.5.1, 8.5.2 or 8.0.x -- To upgrade to Sametime 8.5.1 from an earlier release, see the Lotus Sametime 8.5 Information Center, available at the Lotus Sametime documentation site.
Sametime 8.5 Resource ID: 5724J23

Options: *BASE plus option 1 for Sametime Standard

Release: V8R5M0

Domino 8.5.0 or 8.0.x -- To upgrade to Sametime 8.5 from an earlier release, see the Lotus Sametime 8.5 Information Center, available at the Lotus Sametime documentation site.
Sametime 8.0, 8.0.1 or 8.0.2 Resource ID: 5724J23

Options: *BASE plus option 1 for Sametime Standard

Release: V8R0M0
V8R0M1
V8R0M2

Domino 8.0.1 or 8.0.2 -- To upgrade to Sametime 8.0.x from an earlier release, see the Lotus Sametime 8 Information Center, available at the Lotus Sametime documentation site.

-- Support for Domino 7.0.x ended on April 30, 2011. If your Sametime 8.0.x server is running on Domino 7.0.3 or 7.0.4, upgrade it to Domino 8.0.1 or 8.0.2 before upgrading the operating system. Or upgrade to a later Sametime release and compatible level of Domino.

Note: Support for Domino 7.0.x ended on April 30, 2011, and Sametime 7.5.1 support ends on September 30, 2011. Upgrade Sametime 7.5.1 servers to a later Sametime release and compatible Domino release before upgrading the operating system.
Lotus Sametime Websphere-based servers: Preparing for upgrade from IBM i 5.4 to i 6.1 or i 7.1
Lotus Sametime Releases supported for
i 7.1
Additional Information
Sametime 8.5.1 and 8.5.2 -- All Sametime 8.5.1 and 8.5.2 WAS-based servers are supported on IBM i 7.1: Gateway, Meeting Server, Proxy Server and System Console Server.
-- To upgrade to Sametime 8.5.x from an earlier release, see the Sametime product documentation, available at the Lotus Sametime documentation site.
Lotus Sametime Releases supported for
i 6.1
Additional Information
Sametime 8.5.x -- All Sametime 8.5.x WAS-based servers are supported on IBM i 6.1: Gateway, Meeting Server, Proxy Server and System Console Server.
-- To upgrade to Sametime 8.5.x from an earlier release, see the Sametime product documentation, available at the Lotus Sametime documentation site.
Sametime Gateway 8.0.x -- If you are running an earlier release of Sametime Gateway, you must upgrade to Sametime 8.0 or 8.5.x.
-- To upgrade to Sametime Gateway 8.0.x from an earlier release, see the Lotus Sametime 8.0.x Information Center, available at the Lotus Sametime documentation site.
Lotus Workflow: Preparing for upgrade from IBM i 5.4 to i 6.1 or i 7.1

Lotus Workflow 7.0 is the minimum version supported on i 6.1 and i 7.1.

1. If you are running an earlier release of Workflow, upgrade to Lotus Workflow 7.0. For upgrade information, see the Lotus Workflow 7.0 Installation Instructions available at the Lotus Workflow documentation site.

2. If your Workflow release is supported on i 6.1 or i 7.1, determine whether it is running on a release of Domino that is compatible with the operating system. If necessary, run UPDDOMSVR to update the Domino release.

IBM Integrated Domino Fax: Preparing for upgrade from IBM i 5.4 to i 6.1 or i 7.1

Note: Domino Fax was withdrawn from marketing in January, 2011, and support ends on April 30, 2012.

1. Use the tables below to determine whether you are already using a Domino Fax release supported on IBM i 6.1 or i 7.1

2. If your Domino Fax release is not supported, upgrade Domino Fax to version V4R5. Consult the Domino Fax product documentation for upgrade instructions. As part of the upgrade process, be sure to update your Domino Fax servers to a version of Domino that is compatible with the operating system.

3. If your Domino Fax release is supported on the operating system release, determine whether each Domino Fax server is running a version of Domino compatible with the operating system. If necessary, run UPDDOMSVR to update the Domino release.

4. Install the latest available fixes for Domino Fax V4R5.

Integrated Domino Fax Releases supported for
i 7.1
DSPSFWRSC information
(F11 to display libraries and releases)
Compatible Domino Release for
i 7.1
Additional Information
Domino Fax V4R5 Resource ID: 5733FXD

Options: *BASE

Release: V4R5M0

Domino 8.5.1 or 8.5.2 -- Install the latest available fixes for Integrated Domino Fax V4R5.

-- If you need to upgrade to Domino Fax V4R5 from an earlier release, see the Domino Fax V4R5 Administrator’s Guide, at the Domino Fax documentation site.

Integrated Domino Fax Releases supported for
i 6.1
DSPSFWRSC information
(F11 to display libraries and releases)
Compatible Domino Release for
i 6.1
Additional Information
Domino Fax V4R5 Resource ID: 5733FXD

Options: *BASE

Release: V4R5M0

Domino 8.5.x, 8.0.1, or 8.0.2 -- Install the latest available fixes for Integrated Domino Fax V4R5.

-- If you need to upgrade to Domino Fax V4R5 from an earlier release, see the Domino Fax V4R5 Administrator’s Guide, at the Domino Fax documentation site.

Pre-upgrade Checklist: Before upgrading from IBM i 5.4 to i 6.1 or i 7.1

Before upgrading the operating system from IBM i 5.4 to i 6.1 or i 7.1, verify the following:
  • All Lotus products have been updated to version that is compatible with the operating system
  • All required fixes are installed
  • All servers are running a version of Domino that is compatible with the operating system
  • All of your Domino-related 3rd-party products have been updated, if necessary
  • All servers are operational
  • Disable Domino server auto-start

    Change TCP or Domino Server auto-start and any other start-up operations that would cause Domino servers to start immediately following the operating system upgrade

  • [Optional] Use the Analyze Object Conversion (ANZOBJCVN) CL command to determine the approximate time required for program conversion for each product following the upgrade. Note that tests have shown that this command will not always reflect the actual time required for Domino program conversion, and additional time should be allowed for this process to complete. For more information about using the ANZOBJCVN command, see Chapter 2 of the ITSO Redpaper, i5/OS Program Conversion: Getting Ready for i5/OS V6R1 (REDP-4293-00)
  • To upgrade to the operating system to i 6.1 or i 7.1, follow the instructions for Installing, upgrading, or deleting i5/OS and related software in the Information Center.

Post-upgrade Product Conversion: After upgrading from IBM i 5.4 to i 6.1 or i 7.1

Program conversion is only required when upgrading from IBM i 5.4 to i 6.1 or i 7.1. If you are upgrading from i 6.1 to i 7.1, program conversion should have already occurred as part of the upgrade to i 6.1 and the steps below are not required. Upgrading from i 6.1 to i 7.1 does not result in any additional program conversion implications.

Before using any Domino commands (for example, WRKDOMSVR, STRDOMSVR and CFGDOMSVR) or using any of the related Lotus products, run the IBM i (i5/OS) commands shown in the table below to force program conversion for each installed product.

If you do not convert the product libraries first, program conversion will occur automatically when each product is first used. Due to the potentially lengthy program conversion process, typical server operations may appear as hang conditions, time-outs or may end abnormally if program conversion is started as the result of a "first-touch" server operation. Expect the STROBJCVN command to complete in a few minutes for some products, but it can run up to 3 hours or longer for Domino depending on the system performance characteristics (such as processor speed, number of processors, memory available and other system activity).

Note: The STROBJCVN command can be run interactively from a command line or submitted to batch using the SBMJOB command. Batch mode is highly recommended for the Domino libraries because the conversion process can run for a long time, but batch mode can be used for any of the products.

  • To run program conversion in batch mode:

    SBMJOB CMD(STROBJCVN OPTION(*CONVERT) LIB(<library_name>) )

  • As instructed previously, do not run any Domino commands until Domino product conversion is complete. You can check whether the LIBNOTES service program has been converted by running the following command:

    DSPSRVPGM <Domino_program_library>/LIBNOTES

    Page down to the "Service program statistics" information and locate the "Conversion required" entry. A value of *NO indicates that conversion is either not required or the service program is already converted. A value of *YES indicates that conversion is required or has not yet completed. Only run Domino commands if the conversion required value is "*NO".


Product
Command to convert programs
Lotus Domino 8.5.x Batch mode is recommended:

For Domino 8.5.3:
SBMJOB CMD(STROBJCVN OPTION(*CONVERT)
LIB(QDOMINO853))

For Domino 8.5.2:
SBMJOB CMD(STROBJCVN OPTION(*CONVERT)
LIB(QDOMINO852))

For Domino 8.5.1:
SBMJOB CMD(STROBJCVN OPTION(*CONVERT)
LIB(QDOMINO851))

For Domino 8.5.0:
SBMJOB CMD(STROBJCVN OPTION(*CONVERT)
LIB(QDOMINO850))

Notes:
-- Additional Domino product libraries QNOTES and QNOTESAPI are relatively small and can be converted on first-touch without noticeable impact. STROBJCVN may be used, but is not required.

-- Program conversion is not required if you installed Domino 8.5.x after upgrading the operating system.

Lotus Domino 8.0.2 or 8.0.1 Batch mode is recommended.

For Domino 8.0.2:
SBMJOB CMD(STROBJCVN OPTION(*CONVERT)
LIB(QDOMINO802))

For Domino 8.0.1:
SBMJOB CMD(STROBJCVN OPTION(*CONVERT)
LIB(QDOMINO801))

Note: Additional Domino product libraries QNOTES and QNOTESAPI are relatively small and can be converted on first-touch without noticeable impact. STROBJCVN may be used, but is not required.

Lotus Domino 7.0.4 or 7.0.3 (Though support for Domino 7.0.x ended in April 2011, Domino 7.0.x can still be used to run Domino Document Manager until its support period ends on Sept 30, 2012.)

Batch mode is recommended:

For Domino 7.0.4:
SBMJOB CMD(STROBJCVN OPTION(*CONVERT)
LIB(QDOMINO704))

For Domino 7.0.3:
SBMJOB CMD(STROBJCVN OPTION(*CONVERT)
LIB(QDOMINO703))

Note: Additional Domino product libraries QNOTES and QNOTESAPI are relatively small and can be converted on first-touch without any noticeable impact. STROBJCVN may be used, but is not required.

Lotus Domino Document Manager STROBJCVN OPTION(*CONVERT) LIB(QDOMDOC)
LEI 8.0.x, or 8.5.x STROBJCVN is not required if you have already run the STROBJCVN command for the corresponding Domino release library (QDOMINO801, QDOMINO802, QDOMINO850, QDOMINO851 or QDOMINO852).
Lotus Quickr for Domino STROBJCVN OPTION(*CONVERT) LIB(QQPLACE)
Lotus Sametime
Domino-based servers
Conversion is not required when installing Sametime 8.5.1 or later on i 6.1 or i 7.1. For earlier Sametime releases:

STROBJCVN OPTION(*CONVERT) LIB(QSAMETIME)

Lotus Sametime
WAS-based servers
Not applicable. The WebSphere-based Sametime servers (Gateway, Meeting Server, Proxy Server and System Console Server) do not contain any programs that require conversion.
Lotus Workflow Not applicable. Lotus Workflow does not contain programs that require conversion.
IBM Integrated Domino Fax STROBJCVN OPTION(*CONVERT) LIB(QDOMFXD)

Additional Program Conversion considerations

This technote describes 3 categories of products:

Product
Category
Description
Products
I.
Products that are built to install and run on IBM i 5.4 without program conversion, but require conversion when installing on i 6.1 or i 7.1. All products described in this document other than those specifically listed below in Category II. or III.
II.
Products that are built to install and run on IBM i 6.1 or a later release without program conversion, but require conversion when installing on i 5.4. -- Lotus Domino 8.5.x
-- LEI 8.5.x
-- Quickr 8.5.x for Domino
-- Sametime 8.5.1 and later releases of Community Server or Entry Server (Domino-based)
III.
Products that do not contain programs that require conversion in any situation. -- Lotus Sametime WebSphere-based servers: Gateway, Meeting Server, Proxy Server, System Console Server
-- Lotus Workflow

For products in category I: Once the program objects have been converted to run on i 6.1 or i 7.1, moving the objects back to a V5 system will make it necessary to run conversion again. For example, if you upgrade to IBM i 6.1 or i 7.1, convert the Domino product library, save the Domino product and then restore the converted product on a V5 system, program conversion is required before you can run the product on V5. It is preferable to use the original product media when installing these products on a V5 system in order to avoid the long conversion time.

For products in category II : Once the program objects have been converted to run on IBM i 5.4, upgrading to i 6.1 or i 7.1 or moving the objects to an i 6.1 or i 7.1 system will make it necessary to run conversion again. For example, if you install Domino 8.5.1 on IBM i 5.4, convert the Domino 8.5.1 product library and then upgrade to i 6.1 or i 7.1, program conversion is again required before you can run the product. Likewise, if you save the Domino 8.5.1 product from i 5.4 and then restore the converted product on i 6.1 or i 7.1, program conversion is again required. To avoid the long conversion time, it is preferable to install Domino 8.5.1 after you have upgraded the system to i 6.1 or i 7.1. Likewise, it is best to use the original product media when installing these products on i 6.1 or i 7.1 rather than use media that was saved from i 5.4. For more information, see Domino 8.5 for i: Program Conversion (technote #7013152 ).

Related information

i5/OS V6R1 planning for Domino and related products
i5/OS V6R1: Installing Lotus Domino and related product
Upgrading from QuickPlace 6.5.1 or 7.0 to Quickr 8.2

Cross reference information
Segment Product Component Platform Version Edition
Messaging Applications Lotus Workflow Not Applicable i5/OS 7.0
Business Integration IBM Enterprise Integrator for Domino Not Applicable i5/OS, IBM i 8.5.1, 8.5, 8.0.2, 8.0.1
Messaging Applications Lotus End of Support Products Lotus Domino Document Manager i5/OS 7.0
Organizational Productivity- Portals & Collaboration Lotus Quickr for Domino Not Applicable i5/OS, IBM i 8.5, 8.2, 8.1
Organizational Productivity- Portals & Collaboration IBM Sametime Not Applicable i5/OS, IBM i 8.5.1, 8.5, 8.0.2, 8.0.1, 8.0, 7.5.1, 8.5.2

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

IBM Domino
Deployment

Software version:

7.0.3, 7.0.4, 8.0.1, 8.0.2, 8.5, 8.5.1, 8.5.2, 8.5.3

Operating system(s):

IBM i, i5/OS

Reference #:

1294587

Modified date:

2011-10-11

Translate my page

Machine Translation

Content navigation